You are not logged in.

#1 2005-02-27 07:26:20

WiLLiE
Member
From: Sweden
Registered: 2005-02-27
Posts: 133

pyKDE & SIP broken?

I installed Amarok earlier today, and everything went smooth.
Then I found this python script for Amarok I wanted to try.

Requirements: pyQT & pyKDE
So I went along and installed them. (via pacman)

Now, when I try to activate the script in Amarok it says I dont have pyKDE installed.
Runnig the script manually outputs:

> python  desktop.py
Traceback (most recent call last):
   File "/home/willie/.kde/share/apps/amarok/scripts/desktop/desktop.py", line 37, in ?
       from kdecore import *
RuntimeError: the sip module supports API v1.0 to v1.0 but the kdecore module requires API v0.2

I'm running Gnome, and installed Amarok with its dependencies via pacman. (I don't have the fullblown KDE pack installed)

Help please?

Offline

#2 2005-03-04 12:10:12

WiLLiE
Member
From: Sweden
Registered: 2005-02-27
Posts: 133

Re: pyKDE & SIP broken?

no one?

Offline

#3 2005-03-06 12:04:01

allanon
Member
From: Enschede, The Netherlands
Registered: 2004-02-10
Posts: 52

Re: pyKDE & SIP broken?

I had desktop.py running fine, but a week or two ago something broke it/pykde, and I get the same message. Just searched here for a fix now, so sorry, have no solution either.

Offline

#4 2005-03-06 12:31:54

IceRAM
Member
From: Bucharest, Romania
Registered: 2004-03-04
Posts: 772
Website

Re: pyKDE & SIP broken?

It might be a KDE bug. Check latest CVS Digest for changes in pyKDE.

(I'm not sure this this the problem though)

Offline

#5 2005-12-01 06:22:03

Shofs
Member
From: Central Illinois
Registered: 2004-12-15
Posts: 184

Re: pyKDE & SIP broken?

I am getting a "Missing pyQt error currently.

Any fixes for this?

Offline

#6 2006-03-21 07:43:20

Shofs
Member
From: Central Illinois
Registered: 2004-12-15
Posts: 184

Re: pyKDE & SIP broken?

Bump

Offline

#7 2006-03-21 20:04:13

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,654

Re: pyKDE & SIP broken?

what does

pacman -Qi pyqt

output ?


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Online

Board footer

Powered by FluxBB